<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":6,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFShape" class="title">Class XSSFShape</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFShape</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                           title="interface in org.apache.poi.ss.usermodel">Shape</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html"
                           title="class in org.apache.poi.xssf.usermodel">XSSFConnector</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFGraphicFrame</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFPicture</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFShapeGroup</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">XSSFShape</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
              title="interface in org.apache.poi.ss.usermodel">Shape</a></pre>
                <div class="block">Represents a shape in a SpreadsheetML drawing.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#anchor">anchor</a></span></code>
                                    <div class="block">anchor that is used by this shape</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#drawing">drawing</a></span></code>
                                    <div class="block">Parent drawing</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShapeGroup</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#parent">parent</a></span></code>
                                    <div class="block">The parent shape, always not-null for shapes in groups</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#XSSFShape--">XSSFShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getAnchor--">getAnchor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getDrawing--">getDrawing</a></span>()</code>
                                    <div class="block">Return the drawing that owns this shape</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShapeGroup</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getParent--">getParent</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected abstract
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getShapeProperties--">getShapeProperties</a></span>()</code>
                                    <div class="block">Returns xml bean with shape properties.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#isNoFill--">isNoFill</a></span>()</code>
                                    <div class="block">Whether this shape is not filled with a color</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setFillColor-int-int-int-">setFillColor</a></span>(int&nbsp;red,
                                    int&nbsp;green,
                                    int&nbsp;blue)</code>
                                    <div class="block">Sets the color used to fill this shape using the solid fill
                                        pattern.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyle-int-">setLineStyle</a></span>(int&nbsp;lineStyle)</code>
                                    <div class="block">Sets the line style.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a></span>(int&nbsp;red,
                                    int&nbsp;green,
                                    int&nbsp;blue)</code>
                                    <div class="block">The color applied to the lines of this shape.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineWidth-double-">setLineWidth</a></span>(double&nbsp;lineWidth)</code>
                                    <div class="block">Specifies the width to be used for the underline stroke.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setNoFill-boolean-">setNoFill</a></span>(boolean&nbsp;noFill)</code>
                                    <div class="block">Sets whether this shape is filled or transparent.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="drawing">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawing</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a> drawing</pre>
                                <div class="block">Parent drawing</div>
                            </li>
                        </ul>
                        <a name="parent">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parent</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShapeGroup</a> parent</pre>
                                <div class="block">The parent shape, always not-null for shapes in groups</div>
                            </li>
                        </ul>
                        <a name="anchor">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>anchor</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFAnchor</a> anchor</pre>
                                <div class="block">anchor that is used by this shape</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFShape--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFShape</h4>
                                <pre>public&nbsp;XSSFShape()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDrawing--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawing</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;getDrawing()</pre>
                                <div class="block">Return the drawing that owns this shape</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the parent drawing that owns this shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParent</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShapeGroup</a>&nbsp;getParent()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the parent shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAnchor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFAnchor.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFAnchor</a>&nbsp;getAnchor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the anchor that is used by this shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeProperties</h4>
                                <pre>protected abstract&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties&nbsp;getShapeProperties()</pre>
                                <div class="block">Returns xml bean with shape properties.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>xml bean with shape properties.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isNoFill--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isNoFill</h4>
                                <pre>public&nbsp;boolean&nbsp;isNoFill()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">Shape</a></code></span>
                                </div>
                                <div class="block">Whether this shape is not filled with a color</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this shape is not filled with a color.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNoFill-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNoFill</h4>
                                <pre>public&nbsp;void&nbsp;setNoFill(boolean&nbsp;noFill)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">Shape</a></code></span>
                                </div>
                                <div class="block">Sets whether this shape is filled or transparent.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>noFill</code> - if true then no fill will be applied to the shape element.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFillColor-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillColor</h4>
                                <pre>public&nbsp;void&nbsp;setFillColor(int&nbsp;red,
                         int&nbsp;green,
                         int&nbsp;blue)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">Shape</a></code></span>
                                </div>
                                <div class="block">Sets the color used to fill this shape using the solid fill
                                    pattern.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLineStyleColor-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineStyleColor</h4>
                                <pre>public&nbsp;void&nbsp;setLineStyleColor(int&nbsp;red,
                              int&nbsp;green,
                              int&nbsp;blue)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">Shape</a></code></span>
                                </div>
                                <div class="block">The color applied to the lines of this shape.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLineWidth-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineWidth</h4>
                                <pre>public&nbsp;void&nbsp;setLineWidth(double&nbsp;lineWidth)</pre>
                                <div class="block">Specifies the width to be used for the underline stroke.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>lineWidth</code> - width in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLineStyle-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setLineStyle</h4>
                                <pre>public&nbsp;void&nbsp;setLineStyle(int&nbsp;lineStyle)</pre>
                                <div class="block">Sets the line style.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>lineStyle</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
